## gupnp-dlna-value-list

gupnp-dlna-value-list

## Functions

GUPnPDLNAValueList * | gupnp_dlna_value_list_copy ()
void | gupnp_dlna_value_list_free ()
gboolean | gupnp_dlna_value_list_is_empty ()
gchar * | gupnp_dlna_value_list_to_string ()
GList * | gupnp_dlna_value_list_get_g_values ()

## Object Hierarchy

        GBoxed
        ╰── GUPnPDLNAValueList

## Description

## Functions

### gupnp_dlna_value_list_copy ()

    GUPnPDLNAValueList *
    gupnp_dlna_value_list_copy (GUPnPDLNAValueList *list);

#### Parameters

list | A list to copy. | [transfer none]

#### Returns

A copy of `list` .

[transfer full]

### gupnp_dlna_value_list_free ()

    void
    gupnp_dlna_value_list_free (GUPnPDLNAValueList *list);

Frees the value list.

#### Parameters

list | A list to free. |

### gupnp_dlna_value_list_is_empty ()

    gboolean
    gupnp_dlna_value_list_is_empty (GUPnPDLNAValueList *list);

#### Parameters

list | A list. | [transfer none]

#### Returns

`TRUE` if `list` is empty, otherwise `FALSE`.

### gupnp_dlna_value_list_to_string ()

    gchar *
    gupnp_dlna_value_list_to_string (GUPnPDLNAValueList *list);

Creates a string representation of `list` .

#### Parameters

list | A list. | [transfer none]

#### Returns

A string representation of `list` . Free with `g_free()` when not needed.

[transfer full]

### gupnp_dlna_value_list_get_g_values ()

    GList *
    gupnp_dlna_value_list_get_g_values (GUPnPDLNAValueList *list);

Gets a list of GValues. GValues can be of types G_TYPE_BOOLEAN, G_TYPE_INT, G_TYPE_STRING, GUPNP_TYPE_DLNA_FRACTION, GUPNP_TYPE_DLNA_FRACTION_RANGE or GUPNP_TYPE_DLNA_INT_RANGE.

#### Parameters

list | A list. | [transfer none]

#### Returns

A list. Free it with `g_list_free_full()` with `g_free()`.

[transfer full][element-type GValue]